> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/enums/humanoidstatetype.md).

# HumanoidStateType

## Overview

HumanoidStateType is an Enum that defines the list of available states for a Humanoid object. Each state controls the behavior and interactions of humanoid characters in-game.

This is used in the Humanoid:GetState() and Humanoid:ChangeState() methods.

## Items

| Name              | Value | Description                                                                                                                                                      |
| ----------------- | ----- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| FallingDown       | 0     | Currently not supported.                                                                                                                                         |
| Ragdoll           | 1     | The humanoid has transitioned to a ragdoll state. This state must be manually set and cleared using Humanoid:ChangeState().                                      |
| GettingUp         | 2     | Currently not supported.                                                                                                                                         |
| Jumping           | 3     | It is a brief state right after the humanoid jumps. Typically, it transitions to the Freefall state if airborne or to the Landed state upon touching the ground. |
| Swimming          | 4     | The humanoid is in the swimming status.                                                                                                                          |
| Freefall          | 5     | The humanoid is in a free-fall state through the air. It occurs while airborne after a jump or when falling from a high place.                                   |
| Flying            | 6     | Currently not supported.                                                                                                                                         |
| Landed            | 7     | The humanoid has landed. This state lasts only briefly.                                                                                                          |
| Running           | 8     | The humanoid is moving on the ground.                                                                                                                            |
| RunningNoPhysics  | 10    | Currently not supported.                                                                                                                                         |
| StrafingNoPhysics | 11    | Currently not supported.                                                                                                                                         |
| Climbing          | 12    | The humanoid is climbing. For example, the humanoid is climbing a climbable object.                                                                              |
| Seated            | 13    | Currently not supported.                                                                                                                                         |
| PlatformStanding  | 14    | Currently not supported.                                                                                                                                         |
| Dead              | 15    | The humanoid is dead. Transitioning to this state kills the humanoid.                                                                                            |
| Physics           | 16    | The humanoid is in a custom physics state. This state must be manually set and cleared using Humanoid:ChangeState().                                             |
| None              | 18    | The default value indicating no specific state is assigned.                                                                                                      |

## See also

{% content-ref url="/pages/aQ89pxIkAxTbUIecXDYz" %}
[Humanoid](/development/api-reference/classes/humanoid.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/humanoidstatetype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
